// @(#) ENIB/LI2 (c) - oRis - Version 2.3
//--------------------------------------------------------------------------//
// file        : constVal.h                                                  //
// description : header file for the ENIB/LI2 class ConstValue              //
// author(s)   : F. Harrouet                                                //
// copyright   : Laboratoire d'Informatique Industrielle (LI2)              //
//               Ecole Nationale d'Ingenieurs de Brest (ENIB)               //
//               CP 30815 - 29608 Brest Cedex - FRANCE                      //
//               Tel: (33) 02.98.05.66.31 , Fax: (33) 02.98.05.66.29        //
//               e-mail: li2@enib.fr                                        //
//--------------------------------------------------------------------------//
// Copyright (c) 1996-2000                                                  //
// Laboratoire d'Informatique Industrielle (LI2)                            //
// Ecole Nationale d'Ingenieurs de Brest (ENIB)                             //
//                                                                          //
// Permission to use, copy, modify, distribute and sell this software       //
// and its documentation for any purpose is hereby granted without fee,     //
// provided that the above copyright notice appear in all copies and        //
// that both that copyright notice and this permission notice appear        //
// in supporting documentation.                                             //
// ENIB/LI2 makes no representations about the suitability of this          //
// software for any purpose.                                                //
// It is provided "as is" without express or implied warranty.              //
//--------------------------------------------------------------------------//

#ifndef CONSTVAL_H
#define CONSTVAL_H

#include "oRis/Main/value.h"

//---------------------------------------------------------------------------//
// class ConstValue                                                          //
//---------------------------------------------------------------------------//

class ConstValue : public Value
{
public:
// Allocators
  inline ConstValue(const ValueType & type);
  inline virtual ~ConstValue(void);
// Inspectors
// Comparisons
// Input/output
// Modifiers
  inline virtual void reference(void);
  virtual void relax(void);
private:
// Attributes
  int _nbRefs;
};

#include "oRis/Main/constVal.Ci"

#endif // CONSTVAL_H

