// @(#) ENIB/LI2 (c) - oRis - Version 2.3
//--------------------------------------------------------------------------//
// file        : localVal.cpp                                               //
// description : source file for the ENIB/LI2 class LocalValue              //
// author(s)   : F. Harrouet                                                //
// copyright   : Laboratoire d'Informatique Industrielle (LI2)              //
//               Ecole Nationale d'Ingenieurs de Brest (ENIB)               //
//               CP 30815 - 29608 Brest Cedex - FRANCE                      //
//               Tel: (33) 02.98.05.66.31 , Fax: (33) 02.98.05.66.29        //
//               e-mail: li2@enib.fr                                        //
//--------------------------------------------------------------------------//
// Copyright (c) 1996-2000                                                  //
// Laboratoire d'Informatique Industrielle (LI2)                            //
// Ecole Nationale d'Ingenieurs de Brest (ENIB)                             //
//                                                                          //
// Permission to use, copy, modify, distribute and sell this software       //
// and its documentation for any purpose is hereby granted without fee,     //
// provided that the above copyright notice appear in all copies and        //
// that both that copyright notice and this permission notice appear        //
// in supporting documentation.                                             //
// ENIB/LI2 makes no representations about the suitability of this          //
// software for any purpose.                                                //
// It is provided "as is" without express or implied warranty.              //
//--------------------------------------------------------------------------//

#include "oRis/Main/localVal.h"
#include "oRis/Main/agent.h"

//--------------------------------------------------------------------------//
// class LocalValue                                                         //
//--------------------------------------------------------------------------//

SimpleVector<LocalValue *> LocalValue::_localValueStock;

//-------- Static methods --------------------------------------------------//
// inline LocalValue * LocalValue::getLocalValue(const ValueType & type)
//                                                                // static

// inline void LocalValue::relaxLocalValue(LocalValue * value) // static

void LocalValue::clearLocalValueStock(void) // static
{
while(LocalValue::_localValueStock.getSize())
  {
  delete LocalValue::_localValueStock.readPopBack();
  }
}

//-------- Allocators ------------------------------------------------------//
// inline LocalValue::LocalValue(const ValueType & type)

// inline LocalValue::~LocalValue(void)

//-------- Inspectors ------------------------------------------------------//
// inline bool LocalValue::isLeftValue(void) const // virtual

//-------- Comparisons -----------------------------------------------------//

//-------- Input/Output ----------------------------------------------------//

//-------- Modifiers -------------------------------------------------------//
// inline void LocalValue::reference(void) // virtual

// inline void LocalValue::relax(void) // virtual

