// @(#) ENIB/LI2 (c) - oRis - Version 2.3
//--------------------------------------------------------------------------//
// file        : param.cpp                                                  //
// description : source file for the ENIB/LI2 class Parameter               //
// author(s)   : F. Harrouet                                                //
// copyright   : Laboratoire d'Informatique Industrielle (LI2)              //
//               Ecole Nationale d'Ingenieurs de Brest (ENIB)               //
//               CP 30815 - 29608 Brest Cedex - FRANCE                      //
//               Tel: (33) 02.98.05.66.31 , Fax: (33) 02.98.05.66.29        //
//               e-mail: li2@enib.fr                                        //
//--------------------------------------------------------------------------//
// Copyright (c) 1996-2000                                                  //
// Laboratoire d'Informatique Industrielle (LI2)                            //
// Ecole Nationale d'Ingenieurs de Brest (ENIB)                             //
//                                                                          //
// Permission to use, copy, modify, distribute and sell this software       //
// and its documentation for any purpose is hereby granted without fee,     //
// provided that the above copyright notice appear in all copies and        //
// that both that copyright notice and this permission notice appear        //
// in supporting documentation.                                             //
// ENIB/LI2 makes no representations about the suitability of this          //
// software for any purpose.                                                //
// It is provided "as is" without express or implied warranty.              //
//------------------------------------------------------------------------- //

#include "oRis/Main/param.h"

//---------------------------------------------------------------------------//
// class Parameter                                                           //
//---------------------------------------------------------------------------//

//-------- Allocators -------------------------------------------------------//
// inline Parameter::Parameter(void)

// inline Parameter::Parameter(Parameter::ParamMode paramMode,
//                             const ValueType & type,
//                             const Word & name)

// inline Parameter::Parameter(const Parameter & param)

// inline Parameter::~Parameter(void)

//-------- Inspectors ------------------------------------------------------//
// inline Parameter::ParamMode Parameter::getMode(void) const

// inline const ValueType & Parameter::getType(void) const

// inline const Word & Parameter::getName(void) const

// inline bool Parameter::isCompatible(const Parameter & param) const

//-------- Comparisons -----------------------------------------------------//
// inline bool Parameter::operator==(const Parameter & param) const

// inline bool Parameter::operator!=(const Parameter & param) const

//-------- Input/Output ----------------------------------------------------//
ostream & operator<<(ostream & stream,const Parameter & param)
{
return(stream << param.print());
}

Strings Parameter::print(void) const
{
Strings str=_type.print()+" ";
if(_paramMode==Parameter::REFERENCE) str+="& ";
str+=_name.getStrings();
return(str);
}

//-------- Modifiers -------------------------------------------------------//

